{ lib
, buildPythonPackage
, fetchFromGitHub
, jsonschema
, plotly
, pytest
, pytest-xdist
, pytest-cov
, pytest-asyncio
, beautifulsoup4
, pyyaml
, isort
, py
, jinja2
, rpmfile
, reportlab
, zstandard
, rich
, aiohttp
, toml
  # aiohttp[speedups]
, aiodns
, brotlipy
, cchardet
, pillow
, pytestCheckHook
}:
buildPythonPackage {
  pname = "cve-bin-tool";
  version = "unstable-2021-04-15";

  src = fetchFromGitHub {
    owner = "intel";
    repo = "cve-bin-tool";
    rev = "10cb6fd0baffe35babfde024bc8c70aa58629237";
    sha256 = "STf0tJBpadBqsbC+MghBai8zahDkrXfLoFRJ+84wvvY=";
  };

  # Wants to open a sqlite database, access the internet, etc
  doCheck = false;

  propagatedBuildInputs = [
    jsonschema
    plotly
    pytest
    pytest-xdist
    pytest-cov
    pytest-asyncio
    beautifulsoup4
    pyyaml
    isort
    py
    jinja2
    rpmfile
    reportlab
    zstandard
    rich
    aiohttp
    toml

    # aiohttp[speedups]
    aiodns
    brotlipy
    cchardet
    # needed by brotlipy
    pillow
  ];

  checkInputs = [
    pytestCheckHook
  ];

  pythonImportsCheck = [
    "cve_bin_tool"
  ];

  meta = with lib; {
    description = "CVE Binary Checker Tool";
    homepage = "https://github.com/intel/cve-bin-tool";
    license = licenses.gpl3Only;
    maintainers = teams.determinatesystems.members;
  };
}
